<?php
function get_title(){
	return Template::get_title(). " | Feris Framework";
}

function get_template_name(){
	echo Template::get_template_name();
}

function get_description(){
	return Template::get_description();
}

function get_og_title(){
	return Template::get_og_title();
}

function get_og_img(){
	return Template::get_og_img();
}
$css_styles = array();
$css_admin_styles = array();
$js_admin = array();
$js = array();

/**
 * LOAD STYLES FOR PAGE
 * @return string with style
 */
function load_styles(){
	global $css_styles;
	$output = "";
	foreach ($css_styles as $value) {
		$protocol = substr($value, 0, 4);
		$http = ($protocol != 'http' AND substr($protocol, 0, 2) != '//') ? true : false;
		$output .= '<link rel="stylesheet" href="' .(($http) ? THEMES_URL . $value : $value ).'">' . "\r\n";
	}
	echo "$output";
}
/**
 * ADD STYLE FOR PAGE
 * @param  string $name is name style
 * @param  string $url is url style
 */
function add_style($name, $url){
	global $css_styles;
	if(!array_key_exists($name, $css_styles)){
		$css_styles[$name] = $url;
	}
}

/**
 * LOAD STYLES FOR ADMINISTRATION
 * @return string with style
 */
function load_js(){
	global $js;
	
	$output = "";
	foreach ($js as $value) {
		$protocol = substr($value, 0, 4);
		$http = ($protocol != 'http' AND substr($protocol, 0, 2) != '//') ? true : false;
		$output .=  '<script src="' . (($http) ? THEMES_URL . $value : $value ) . '"></script>' . "\r\n";
	}
	echo "$output";
}

/**
 * ADD STYLE FOR ADMINISTRATION
 * @param  string $name is name style
 * @param  string $url is url style
 */
function add_js($name, $url){
	global $js;
	if(!array_key_exists($name, $js)){
		$js[$name] = $url;
	}
}


/**
 * LOAD STYLES FOR ADMINISTRATION
 * @return string with style
 */
function load_admin_styles(){
	global $css_admin_styles;
	foreach ($css_admin_styles as $value) {
		echo '<link rel="stylesheet" href="' . $value . '">' . "\r\n";
	}
}

/**
 * ADD STYLE FOR ADMINISTRATION
 * @param   $name is name style
 * @param   $url is url style
 */
function add_admin_style($name, $url){
	global $css_admin_styles;
	if(!array_key_exists($name, $css_admin_styles)){
		$css_admin_styles[$name] = $url;
	}
}

/**
 * LOAD STYLES FOR ADMINISTRATION
 * @return string with style
 */
function load_admin_js(){
	global $js_admin;
	$length = count($js_admin);
	foreach ($js_admin as $key => $value) {
		if($key !== 'main-js'){
			echo '<script src="' . $value . '"></script>' . "\r\n";
		}
	}
	echo '<script src="' . $js_admin['main-js'] . '"></script>' . "\r\n";

}

/**
 * ADD CUSTOME JS
 * @param  string $name is name style
 * @param  string $url is url style
 */
function add_custome_js($name, $script){
	global $customScripts;
	if(!array_key_exists($name, $customScripts)){
		$customScripts[$name] = $script;
	}
}

/**
 * ADD STYLE FOR ADMINISTRATION
 * @param  string $name is name style
 * @param  string $url is url style
 */
function add_admin_js($name, $url){
	global $js_admin;
	if(!array_key_exists($name, $js_admin)){
		$js_admin[$name] = $url;
	}
}

/**
 * CREATE ALERT
 */
function create_alert($type, $msg, $close = true){
	$alert = '<div class="alert alert-remove alert-' . $type . (($close) ? ' alert-dismissable' : '') .'">' . (($close) ? '<button class="close" data-dismiss="alert">&times;</button>' : '');
	
	$alert .= $msg . '</div>';
	echo $alert;
}


/**
* LOAD HEADER
*/
function get_header(){
	include "theme/header.php";
}


/**
* FOOTER
*/
function get_footer(){
	include 'theme/footer.php';
}